2011-12-01  Werner Koch  <wk@g10code.com>

	NB: ChangeLog files are no longer manually maintained.  Starting
	on December 1st, 2011 we put change information only in the GIT
	commit log, and generate a top-level ChangeLog file from logs at
	"make dist".  See doc/HACKING for details.

2011-08-26  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (gc_component): Mark for translation.  Suggested
	by Yuri Chornoivan.

2011-03-08  Werner Koch  <wk@g10code.com>

	* symcryptrun.c [HAVE_UTMP_H]: Include utmp.h.

2011-02-23  Werner Koch  <wk@g10code.com>

	* gpgconf.c: Add command --kill.
	* gpgconf-comp.c (gc_component_kill): New.
	(gpg_agent_runtime_change, scdaemon_runtime_change): Add kill flag.

2011-02-03  Werner Koch  <wk@g10code.com>

	* watchgnupg.c (print_version): Update copyright year.

2010-12-14  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (gc_options_gpg_agent, gc_options_scdaemon)
	(gc_options_gpg, gc_options_gpgsm, gc_options_dirmngr): Define to
	NULL if corresponding BUILD_WITH_foo is not defined.

2010-12-02  Werner Koch  <wk@g10code.com>

	* no-libgcrypt.c (gcry_cipher_algo_name): New.

2010-11-23  Werner Koch  <wk@g10code.com>

	* Makefile.am (gpgconf_LDFLAGS): Add extra_bin_ldflags.

2010-11-17  Marcus Brinkmann  <mb@g10code.com>

	* gogconf.c: Revert accidental debug output commit.

2010-10-27  Werner Koch  <wk@g10code.com>

	* symcryptrun.c (confucius_mktmpdir): Use TMPDIR.

2010-10-14  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c: Add option --agent-program.

	* gpg-connect-agent.c (start_agent): Rewrite using the
	start_new_gpg_agent function.

	* gpgconf-comp.c (gpg_agent_runtime_change): Use gpg-connect-agent
	on all platforms.

2010-10-06  Werner Koch  <wk@g10code.com>

	* watchgnupg.c (print_version): Add option --time-only.

2010-10-05  Werner Koch  <wk@g10code.com>

	* watchgnupg.c (main): Support TCP and local socket listening.
	(main): Factor some code out to ..
	(setup_client): this.
	(err): New.
	(client_list): New.

2010-08-25  Werner Koch  <wk@g10code.com>

	* gpgtar-extract.c (create_directory): Add .p7m as known
	extension.

	* gpgtar.c: Add -t as short option for --list-archive.
	* gpgtar-extract.c (gpgtar_extract): Use filename "-" for stdin.
	Fix dirprefix setting.
	* gpgtar-list.c (gpgtar_list): Ditto.

2010-08-24  Werner Koch  <wk@g10code.com>

	* gpgtar.c (opts): Fix --cms and --openpgp names.

2010-08-23  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (GPGNAME) [W32CE]: s/gpg2/gpg/.
	(get_config_filename) [W32CE]: Adjust absolute file name check.

	* gpgconf-comp.c (retrieve_options_from_program)
	(retrieve_options_from_file, retrieve_options_from_program)
	(copy_file, gc_process_gpgconf_conf): Do not use es_ferror after a
	failed es_fclose.  Note that the stream is in any case invalid
	after calling es_fclose and that es_fclose does set ERRNO.

	* Makefile.am (maybe_commonpth_libs): New.
	(gpgconf_LDADD): Use it.

2010-08-20  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (collect_error_output): Remove extra CRs.

2010-08-19  Werner Koch  <wk@g10code.com>

	* gpgconf.c (main): Fix --check-options.

	* gpgconf-comp.c (gc_component_check_options): Replace
	gnupg_spawn_process_fd by gnupg_spawn_process.
	(retrieve_options_from_program): Ditto.
	(collect_error_output): Change to use estream.

	* gpgconf-comp.c: Add new backend and component for PINENTRY.
	(gc_component_check_options): Use --version to test the pinentry.
	(gc_component_retrieve_options, gc_component_change_options):
	Ignore the pinentry component.

2010-08-16  Werner Koch  <wk@g10code.com>

	* gpgconf.c (get_outfp): Change to use estream.
	(main): Replace fprintf by es_fprintf.
	* gpgconf-comp.c (gc_component_list_components)
	(gc_check_programs, gc_component_list_options)
	(gc_component_change_options, gc_component_check_options)
	(list_one_option, gc_process_gpgconf_conf): Replace FILE* args by
	estream_t.

2010-08-13  Werner Koch  <wk@g10code.com>

	* Makefile.am (gpgkey2ssh_LDADD): Add NETLIBS.

2010-08-11  Werner Koch  <wk@g10code.com>

	* gpgtar-create.c (gpgtar_create): Allow "-" for stdout in
	opt.outfile.  Switch es_stdout to binary mode.

2010-08-09  Werner Koch  <wk@g10code.com>

	* watchgnupg.c: Inlcude in.h and inet.h.
	(main): Support tcp connections.

	* gpgtar.c (main): Add options -T and --null.
	* gpgtar-create.c (gpgtar_create): Implement option --null.

2010-07-16  Werner Koch  <wk@g10code.com>

	* gpgtar-create.c: Rewrite to better support W32.

2010-07-01  Werner Koch  <wk@g10code.com>

	* gpgtar.c: Add option --set-filename.

2010-06-24  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (gpg_agent_runtime_change)
	(scdaemon_runtime_change, retrieve_options_from_program): Use HANG
	option for gnupg_wait_progress.  Fixes regression from 2010-06-09.

2010-06-07  Werner Koch  <wk@g10code.com>

	* gpgtar.c, gpgtar.h, gpgtar-list.c, gpgtar-create.c
	* gpgtar-extract.c: New.
	* Makefile.am (commonpth_libs): New.
	(gpgtar_SOURCES, gpgtar_CFLAGS, gpgtar_LDADD): New.
	(bin_PROGRAMS) [!W32CE]: Add gpgtar.

2010-04-20  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (option_check_validity): Use dummy variables to
	silence gcc warning.

2010-04-14  Werner Koch  <wk@g10code.com>

	* Makefile.am (bin_PROGRAMS) [W32CE]: Exclude gpgkey2ssh.
	(noinst_PROGRAMS) [W32CE]: Don't build them.
	(pwquery_libs) [W32CE]: Set to empty.

2010-03-25  Werner Koch  <wk@g10code.com>

	* Makefile.am (opt_libassuan_libs) [W32CE]: New.
	(gpgconf_LDADD): Use it.

	* gpgconf-comp.c: Include signal.h only if available.  Use
	gpg_err_set_errno.
	(key_matches_user_or_group) [W32CE]: Do not match any user.

2010-03-15  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (my_dgettext):
	s/gettext_select_utf8/gettext_use_utf8/.

2010-03-10  Werner Koch  <wk@g10code.com>

	* Makefile.am (common_libs): Remove libjnlib.a.

2010-03-08  Werner Koch  <wk@g10code.com>

	* no-libgcrypt.c (gcry_create_nonce): New.

2010-02-26  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c (main): New option --tcp-socket.

2010-01-10  Werner Koch  <wk@g10code.com>

	* symcryptrun.c (utmp.h): Remove header; it is not used.

2009-12-18  Werner Koch  <wk@g10code.com>

	* applygnupgdefaults (errorfile): Use mktemp.  Fixes bug#1146.

2009-12-08  Marcus Brinkmann  <marcus@g10code.de>

	* gpg-connect-agent.c (main): Convert posix fd to assuan fd.

2009-12-07  Werner Koch  <wk@g10code.com>

	* no-libgcrypt.c (gcry_strdup): Actually copy the string.

2009-11-23  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (gc_options_gpg): Add default_pubkey_algo.

2009-11-05  Marcus Brinkmann  <marcus@g10code.de>

	* gpg-connect-agent.c (start_agent): Update use of
	assuan_socket_connect and assuan_pipe_connect.

2009-11-04  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c (read_and_print_response): Add arg WITHHASH.
	(main): Pass true for WITHHASH for the HELP command.

2009-09-23  Marcus Brinkmann  <marcus@g10code.de>

	* gpg-connect-agent.c (getinfo_pid_cb, read_and_print_response)
	(main): Update to new Assuan API.

2009-07-21  Werner Koch  <wk@g10code.com>

	* gpgsplit.c (my_strusage): Remove i18n stuff.

2009-07-07  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c (start_agent): Adjust for changed args of
	send_pinentry_environment.

2009-06-30  Werner Koch  <wk@g10code.com>

	* ccidmon.c (parse_line_sniffusb): Take also TAB as delimiter.

2009-06-29  Werner Koch  <wk@g10code.com>

	* ccidmon.c (parse_line_sniffusb): New.
	(main): Add option --sniffusb.

2009-06-08  Werner Koch  <wk@g10code.com>

	* gpgconf.c (main): Call gnupg_reopen_std.  Should fix bug#1072.

2009-05-19  Werner Koch  <wk@g10code.com>

	* watchgnupg.c: Include jnlib/mischelp.h if required.
	(main): Use SUN_LEN.

2009-04-17  Werner Koch  <wk@g10code.com>

	* ccidmon.c: New.

2009-03-03  Werner Koch  <wk@g10code.com>

	* gpgconf.c: New command --reload.

	* gpgconf-comp.c (gc_component_reload): New.

2009-03-02  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (scdaemon_runtime_change): Killsc d only if it is
	not running.

2009-02-27  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (gpg_agent_runtime_change): Declare static.
	(scdaemon_runtime_change): New.
	(gc_backend_scdaemon): Register new function.
	(gc_options_scdaemon): Make most options runtime changable.

2009-01-20  Werner Koch  <wk@g10code.com>

	* gpgconf.c (main): Print more directories.

2008-12-09  Werner Koch  <wk@g10code.com>

	* gpg-check-pattern.c (main): Call i18n_init before
	init_common_subsystems.
	* gpg-connect-agent.c (main): Ditto.
	* gpgconf.c (main): Ditto.
	* symcryptrun.c (main): Ditto.

2008-12-08  Werner Koch  <wk@g10code.com>

	* gpgkey2ssh.c (main): Change order of output for RSA. Change name
	of DSA identifier.  Reported by Daniel Kahn Gillmor.  This is
	bug#901.

2008-12-05  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c (opts): Use ARGPARSE_ macros.
	(start_agent) [W32]: Start agent if not running.

2008-12-03  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c <scdaemon>: Add option --card-timeout.  Remove
	unused option --disable-opensc.

2008-10-20  Werner Koch  <wk@g10code.com>

	* gpgsplit.c (write_part): Remove unused arg FNAME.  Change caller.
	(do_split): Ditto.

	* no-libgcrypt.c (gcry_control): Mark unused arg.
	* gpg-connect-agent.c (do_recvfd): Ditto.
	* gpgparsemail.c (mime_signed_begin, mime_encrypted_begin): Ditto.
	(pkcs7_begin): Ditto.

2008-10-01  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c (main): New command datafile.
	(read_and_print_response): Print to the defined datafile.

2008-09-30  Werner Koch  <wk@g10code.com>

	* gpgconf.c (main) <aListDirs>: Print the bindir.

2008-08-06  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (gc_options_gpgsm): Change type of keyserver
	option to GC_ARG_TYPE_LDAP_SERVER.

	* gpgconf-comp.c (retrieve_options_from_file): Transfer the
	NO_CHANGE flag from the file name option to the list option.

2008-06-19  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (GC_ARG_TYPE_ALIAS_LIST): New.
	(gc_arg_type): Add fallback type.
	(gc_options_gpg): Add option "group".

2008-06-12  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (gc_options_gpgsm): Add option keyserver.

2008-05-26  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c: Replace pathname by filename everywhere.

	* gpgconf.c (enum cmd_and_opt_values): Add aListDirs.
	(opts): Add aListDirs option.
	(main): Handle aListDirs.
	* gpgconf.h (gc_percent_escape): New declaration.
	* gpgconf-comp.c (my_percent_escape): Make non-static and rename
	to ...
	(gc_percent_escape): ... this.  Change all callers.

2008-05-26  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (gpg_agent_runtime_change) [W32]: Issue
	"reloadagent" command to gpg-agent.

	* gpg-connect-agent.c (main): Allow server command on the command
	line.

2008-05-20  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf.h (gc_component_check_programs): Rename to ...
	(gc_check_programs): ... this.
	(gc_component_change_options): Add argument OUT.
	(gc_component_check_options): New function.
	* gpgconf.c (enum cmd_and_opt_values): New option aCheckOptions.
	(opts): Add new option aCheckOptions (aka --check-options).
	(main): Handle new option aCheckOptions.
	* gpgconf-comp.c (gc_component_check_programs): Rename to ...
	(gc_check_programs): ... this.  Refactor core of it to ...
	(gc_component_check_options): ... this new function.
	(gc_component_change_options): Add new argument OUT.  Externally
	verify all changes.  Implement option --dry-run.

2008-05-09  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (my_dgettext) [USE_SIMPLE_GETTEXT]:  Hack to
	parly support translations.

2008-04-08  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (gc_options_gpg): Add --auto-key-locate.

2008-03-26  Werner Koch  <wk@g10code.com>

	* make-dns-cert.c: Include unistd.h.  Use config.h if requested.
	(cert_key): Protect read against EINTR.
	(main): Print SVN revision for standalone version.

2008-03-05  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c (arithmetic_op): Add logical not, or and and.
	(get_var_ext): Add functions errcode, errsource and errstring.
	(read_and_print_response): Store server reply in $? variable.
	(main): Implement IF command.

2008-02-27  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (option_check_validity): For now, error out on
	empty strings.
	(enum): Add GC_ARG_TYPE_PUB_KEY and GC_ARG_TYPE_SEC_KEY.

2008-02-01  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (gc_component_list_options): Fix memcpy.
	Reported by Marc Mutz.

2008-01-22  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c: Use gnupg domain for honor-http-proxy.  Make
	"LDAP server list" group title translatable.

2008-01-17  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (change_options_program): Strip duplicated
	utf8-strings entries for gnupg backend.  Don't create them either.

2007-12-10  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (gc_component_list_options): Fix up expert level
	of group.

2007-12-04  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (gc_component_list_components): Do not print a
	trailing semi-colon to ensure forward compatibility, as this would
	indicate another empty field.
	(gc_process_gpgconf_conf): Likewise.

2007-11-15  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c (start_agent): Adjust changed
	send_pinentry_environment.

2007-10-24  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c (substitute_line): Restore temporary nul
	marker.
	(main): Add /while command.

2007-10-23  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (gc_process_gpgconf_conf): Add arg
	LISTFP.  Changed all callers.
	* gpgconf.h: Add gc_error.
	* gpgconf.c: Add command --list-config.
	(get_outfp): New.
	(main): Make --output work.

	* gpgconf-comp.c (gc_options_gpg_agent): Replace accidently used
	GC_BACKEND_SCDAEMON.  We should consider to create these tables
	from plain files.

2007-10-22  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (retrieve_options_from_program): Replace use of
	popen by our gnupg_spawn_process_fd.  This is required because
	popen under Windows can't handle long filenames.

2007-10-19  Werner Koch  <wk@g10code.com>

	* symcryptrun.c (confucius_get_pass): Use utf8 switching functions.

	* gpg-connect-agent.c (get_var_ext): New.
	(substitute_line): Use it.
	(assign_variable): Implement /slet in terms of get_var_ext.
	(main): New option -s/--subst.
	(add_definq): Add arg IS_VAR.  Change all callers.
	(main): Add command /definq.
	(handle_inquire): Implement new command.
	(substitute_line_copy): New.
	(unescape_string, unpercent_string): New.
	* no-libgcrypt.c (gcry_set_outofcore_handler)
	(gcry_set_fatalerror_handler, gcry_set_log_handler): New.
	* Makefile.am (gpg_connect_agent_LDADD): Link to libreadline.

	* gpgconf-comp.c (retrieve_options_from_file): Don't call fclose
	with NULL.  Fixes bug 842.

2007-10-12  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c (substitute_line): Allow ${foo} syntax.

2007-10-11  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c (get_var): Expand environment variables.
	Suggested by Marc Mutz.
	(set_var): Return the value.
	(assign_variable): Add arg syslet.
	(main): New command /slet.
	(gnu_getcwd): New.
	(assign_variable): Add tag cwd, and *dir.

2007-10-02  Werner Koch  <wk@g10code.com>

	* no-libgcrypt.c (gcry_malloc_secure): New.

	* gpg-connect-agent.c (set_var, set_int_var, get_var)
	(substitute_line, show_variables, assign_variable)
	(do_open, do_close, do_showopen): New.
	(main): Add new commands /nosubst, /subst, /let, /showvar, /open,
	/close and /showopen.
	(main): New commands /run and /bye.

2007-10-01  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c (do_sendfd): Use INT2FD for assuan_sendfd.

2007-09-26  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c (main): Print the first response from the
	server.

2007-09-14  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c: Make a string translatable.

2007-09-04  Moritz Schulte  <moritz@g10code.com>

	* gpgsm-gencert.sh: Use printf instead of echo.

2007-09-04  Moritz Schulte  <moritz@g10code.com>

	* gpgkey2ssh.c: Include sysutils.h so that gnupg_tmpfile() is
	declared.

2007-08-31  Werner Koch  <wk@g10code.com>

	* gpgparsemail.c: Support PGP/MIME signed messages.

	* gpgconf-comp.c (gc_component_list_components): List the programs
	names.

2007-08-29  Werner Koch  <wk@g10code.com>

	* gpgconf.c: New command --check-programs.
	* gpgconf-comp.c (gc_component_check_programs): New.
	(gc_backend): Add member MODULE_NAME and add these module names.
	(retrieve_options_from_program): Use module name so that we use an
	absolute file name and don't rely on $PATH.
	(collect_error_output): New.
	* no-libgcrypt.c (gcry_control): New.

2007-08-28  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c <gpg-agent>: Add options --max-passphrase-days
	and --enable-passphrase-history.

2007-08-27  Werner Koch  <wk@g10code.com>

	* gpg-check-pattern.c: New
	* Makefile.am (libexec_PROGRAMS): Add unless DISABLE_REGEX.

2007-08-24  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c <gpg-agent>: Add options --check-passphrase-pattern,
	--min-passphrase-nonalpha and --enforce-passphrase-constraints and
	move them into a new "passphrase policy" group.
	(gc_component) [W32]: Enable dirmngr.

2007-08-21  Werner Koch  <wk@g10code.com>

	* gpgkey2ssh.c (key_to_blob): Use gnupg_tmpfile().

2007-08-02  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c: Factor the public GC_OPT_FLAG constants out and
	include gc-opt-flags.h.

2007-07-17  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c: Add --encrypt-to and --default-key to gpg and
	gpgsm.

2007-07-16  Marcus Brinkmann  <marcus@g10code.de>

	* gpg-connect-agent.c (main): Bail out if write fails.

2007-07-05  Marcus Brinkmann  <marcus@g10code.de>

	* symcryptrun.c (confucius_get_pass): Define orig_codeset if
	[ENABLE_NLS], not [HAVE_LANGINFO_CODESET].

2007-06-26  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (key_matches_user_or_group) [W32]: Implement user
	name matching.
	(GPGNAME): New.  Use it instead of "gpg".
	(gc_component) [W32]:  Disable dirmngr for now.
	(gc_component_retrieve_options): Ignore components without options.
	(gc_component_change_options): Ditto.
	(gc_component_list_options): Ditto.
	(gc_component_find, gc_component_list_components): Ditto.

2007-06-19  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (percent_escape): Rename to my_percent_escape.
	Changed all callers.

2007-06-18  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (retrieve_options_from_file): Close LIST_FILE.
	(copy_file): In error case, save/restore errno.  Close SRC and DST.
	(gc_component_change_options): Catch error from unlink().  Remove
	target backup file before rename().

2007-06-15  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (copy_file) [HAVE_W32_SYSTEM]: New function.
	(change_options_file, change_options_program) [HAVE_W32_SYSTEM]:
	Copy backup file.
	(gc_component_change_options) [HAVE_W32_SYSTEM]: Non-atomic replace.
	(gc_process_gpgconf_conf): Rename fname to fname_arg and
	fname_buffer to fname, initialize fname with fname_arg, discarding
	const qualifier.

2007-06-15  Werner Koch  <wk@g10code.com>

	* Makefile.am (symcryptrun_LDADD): It is LIBICONV and not LIBINCONV.
	(gpgconf_LDADD, symcryptrun_LDADD): Add W32SOCKLIBS.

2007-06-14  Werner Koch  <wk@g10code.com>

	* symcryptrun.c (main): Setup default socket name for
	simple-pwquery.
	(MAP_SPWQ_ERROR_IMPL): New.  Use it for all spwq error returns.

2007-06-12  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (gc_process_gpgconf_conf): Replace
	GNUPG_SYSCONFDIR by a function call.

	* gpg-connect-agent.c (main): Replace some calls by
	init_common_subsystems.
	* gpgconf.c (main): Ditto.
	* symcryptrun.c (main): Ditto.

2007-06-11  Werner Koch  <wk@g10code.com>

	* symcryptrun.c (main) [W32]: Call pth_init.
	* gpgconf.c (main) [W32]: Call pth_init
	* gpg-connect-agent.c (main) [W32]: Call pth_init.

2007-06-06  Werner Koch  <wk@g10code.com>

	* Makefile.am (bin_PROGRAMS) [W32]: Do not build gpgparsemail.

	* gpgconf-comp.c [W32]: Do not include pwd.h and grp.h.
	(key_matches_user_or_group) [W32]: For now always return false.

	* symcryptrun.c (i18n_init): Remove.
	* gpgconf.c (i18n_init): Remove.
	* gpg-connect-agent.c (i18n_init): Remove.

2007-05-19  Marcus Brinkmann  <marcus@g10code.de>

	* symcryptrun.c (confucius_get_pass): Free ORIG_CODESET on error.

2007-05-08  Werner Koch  <wk@g10code.com>

	* sockprox.c: New.  It needs to be build manually. By Moritz
	Schulte.

2007-04-20  Werner Koch  <wk@g10code.com>

	* symcryptrun.c (my_gcry_logger): Removed.
	(main): Call setup_libgcrypt_logging.

2007-04-03  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c: Allow changing of --allow-mark-trusted.

	* gpg-connect-agent.c (main): New option --decode and commands
	decode and undecode.
	(read_and_print_response): Implement option.

2007-03-20  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (gc_options_gpgsm): Add p12-charset.

2007-03-07  Werner Koch  <wk@g10code.com>

	* applygnupgdefaults: New.
	* Makefile.am (sbin_SCRIPTS): Add it

2007-03-06  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c: Include pwd.h and grp.h.
	(GC_OPT_FLAG_NO_CHANGE): New.
	(gc_component_change_options): Implement it.
	(gc_options_gpg_agent): Add options for all ttl values and
	min-passphrase-length.  Apply new flag to some of them.
	(gc_process_gpgconf_conf, key_matches_user_or_group): New.
	(gc_component_change_options): Factor some code out to ..
	(change_one_value): .. new.
	(gc_component_retrieve_options): Allow -1 for COMPONENT to iterate
	over al components.
	* gpgconf.c (main): New commands --check-config and
	--apply-defaults.  Call gc_process_gpgconf_conf.

2007-01-31  Werner Koch  <wk@g10code.com>

	* Makefile.am (symcryptrun_LDADD): Add LIBICONV.
	(gpgkey2ssh_LDADD): Ditto.

2006-12-13  David Shaw  <dshaw@jabberwocky.com>

	* Makefile.am (gpgsplit_LDADD): Link to LIBINTL if we're using the
	built-in code.

2006-12-07  David Shaw  <dshaw@jabberwocky.com>

	* Makefile.am: Link to iconv for jnlib dependency.

2006-11-23  Werner Koch  <wk@g10code.com>

	* Makefile.am (gpg_connect_agent_LDADD): Add NETLIBS.

2006-11-21  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (list_one_option): Cast print size_t arg.

2006-11-17  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c: Made disable-keypad a basic option.

2006-11-03  Werner Koch  <wk@g10code.com>

	* symcryptrun.c: Include signal.h and include pth.h only if test
	asserts that it exists.

2006-10-23  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c <gpgsm>: Add --cipher-algo.

2006-10-20  Werner Koch  <wk@g10code.com>

	* gpgsm-gencert.sh: Enhanced the main menu.

2006-10-12  Werner Koch  <wk@g10code.com>

	* Makefile.am (gpg-zip, gpgsplit): Do not install due to a
	conflict with gpg1.

2006-10-11  Werner Koch  <wk@g10code.com>

	* gpgsm-gencert.sh: Allow generation of card keys.

2006-10-08  Werner Koch  <wk@g10code.com>

	* Makefile.am (gpgkey2ssh_LDADD): Add LIBINTL. Suggested by
	Andreas Metzler.

2006-09-22  Werner Koch  <wk@g10code.com>

	* no-libgcrypt.c: Changed license to a simple all permissive one.

2006-09-20  Werner Koch  <wk@g10code.com>

	* Makefile.am: Changes to allow parallel make runs.

2006-09-12  Werner Koch  <wk@g10code.com>

	Replaced all call gpg_error_from_errno(errno) by
	gpg_error_from_syserror().

	* gpg-connect-agent.c (read_and_print_response): With verbosity
	level 2 also print comment lines.

2006-09-06  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c: Switch everything to new Assuan error code
	style.

	* no-libgcrypt.c (out_of_core): Reanmed to ...
	(out_of_memory): .. this to avoid name clash with util.h.

2006-08-21  Werner Koch  <wk@g10code.com>

	* gpgsplit.c: New. Taken from 1.4. Adjusted to GnuPG2.

	* Makefile.am (noinst_PROGRAMS): New.

2006-06-09  Marcus Brinkmann  <marcus@g10code.de>

	* Makefile.am (gpgconf_LDADD): Add $(GPG_ERROR_LIBS).
	(gpgkey2ssh_LDADD): Add ../jnlib/libjnlib.a.

2006-05-23  Werner Koch  <wk@g10code.com>

	* gpgparsemail.c: Include config.h if available
	(stpcpy): Conditional include it.

	* gpgconf-comp.c (hextobyte): Removed as it is now availble in
	jnlib.

2005-12-20  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (gc_options_gpg): Add allow-pka-lookup.

2005-12-14  Werner Koch  <wk@g10code.com>

	* Makefile.am (bin_PROGRAMS): Build gpgparsemail.

	* gpgparsemail.c (pkcs7_begin): New.
	(parse_message, message_cb): Add support of direct pkcs signatures.

2005-10-19  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (gc_options_scdaemon): New option --disable-keypad.

2005-09-22  Werner Koch  <wk@g10code.com>

	* rfc822parse.c (parse_field): Tread Content-Disposition special.

2005-10-08  Marcus Brinkmann  <marcus@g10code.de>

	* Makefile.am (watchgnupg_LDADD): New variable.

	* Makefile.am (gpgconf_LDADD): Add ../gl/libgnu.a after
	../common/libcommon.a.
	(symcryptrun_LDADD, gpg_connect_agent_LDADD, gpgkey2ssh_LDADD):
	Likewise.

2005-09-29  Marcus Brinkmann  <marcus@g10code.de>

	* Makefile.am (AM_CFLAGS): Add $(LIBGCRYPT_CFLAGS).

2005-09-06  Werner Koch  <wk@g10code.com>

	* rfc822parse.c, rfc822parse.h:  Changed license to LGPL.

2005-08-01  Werner Koch  <wk@g10code.com>

	* gpgsm-gencert.sh: Allow entering a keygrip to generate a CSR from
	an existing key.

2005-07-21  Werner Koch  <wk@g10code.com>

	* gpgsm-gencert.sh: Reworked to allow for multiple email addresses
	as well as DNsanmes and URi.  Present the parameter file before
	creating the certificate.

2005-07-04  Marcus Brinkmann  <marcus@g10code.de>

	* symcryptrun.c (SYMC_BAD_PASSPHRASE, SYMC_CANCELED): New symbols,
	use instead constants.
	(hash_string): New function copied from simple-gettext.c.
	(confucius_get_pass): Take new argument CACHEID.
	(confucius_process): Calculate cacheid and pass it to
	confucius_get_pass.  Clear passphrase from cache if necessary.

2005-06-16  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c (read_and_print_response): Made LINELEN a
	size_t.

2005-06-04  Marcus Brinkmann  <marcus@g10code.de>

	* symcryptrun.c (main): Allow any number of arguments, don't use
	first argument as input file name.  Pass extra arguments to
	confucius_main.
	(confucius_main): Accept new arguments argc and argv and pass them
	to confucius_process.
	(confucius_process): Accept new arguments argc and argv and pass
	them to the confucius process.

2005-06-01  Werner Koch  <wk@g10code.com>

	* symcryptrun.c: Include mkdtemp.h.

2005-05-31  Werner Koch  <wk@g10code.com>

	* watchgnupg.c: Make sure that PF_LCOAL and AF_LOCAL are defines.
	Noted by Ray Link.

2005-05-28  Moritz Schulte  <moritz@g10code.com>

	* gpgkey2ssh.c: New file.
	* Makefile.am (bin_PROGRAMS): Added gpgkey2ssh.

2005-05-20  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c (add_definq, show_definq, clear_definq)
	(handle_inquire): New.
	(read_and_print_response): Handle INQUIRE command.
	(main): Implement control commands.

2005-04-21  Werner Koch  <wk@g10code.com>

	* symcryptrun.c (main): Optionally allow the input file as command
	line argument.

	* gpgconf-comp.c: Add gpgsm option disable-trusted-cert-crl-check.

2005-04-20  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c: Add gpg-agent:disable-scdaemon.

2005-04-19  Marcus Brinkmann  <marcus@g10code.de>

	* symcryptrun.c: Add --input option.

2005-04-15  Marcus Brinkmann  <marcus@g10code.de>

	* symcryptrun.c (TEMP_FAILURE_RETRY): Define if not defined.

	* symcryptrun.c (remove_file): New function.
	(confucius_copy_file): Accept new argument PLAIN and shred the
	file if it is set on error.

	* Makefile.am: Define symcryptrun make variable depending on
	BUILD_SYMCRYPTUN.
	(bin_PROGRAMS): Add ${symcryptrun} instead symcryptrun.
	(symcryptrun_LDADD): Use $(LIBUTIL_LIBS) instead of -lutil.

2005-04-11  Werner Koch  <wk@g10code.com>

	* symcryptrun.c (confucius_mktmpdir): Changed to use mkdtmp(3).

2005-04-11  Marcus Brinkmann  <marcus@g10code.de>

	* symcryptrun.c: Implement config file parsing.

	* Makefile.am (bin_PROGRAMS): Add symcryptrun.
	(symcryptrun_SOURCES, symcryptrun_LDADD): New variables.
	* symcryptrun.c: New file.

2005-03-31  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c (start_agent): Use PATHSEP_C instead of ':'.

2005-03-09  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c <dirmngr>: Add honor-http-proxy.

2005-02-25  Werner Koch  <wk@g10code.com>

	* no-libgcrypt.c (gcry_strdup): New.

2005-02-24  Werner Koch  <wk@g10code.com>

	* gpg-connect-agent.c: New.
	* Makefile.am: Add it.

2004-12-21  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (get_config_pathname) [DOSISH]: Detect absolute
	pathnames with a drive letter.

2004-12-15  Werner Koch  <wk@g10code.com>

	* Makefile.am (bin_PROGRAMS) [W32]: Do not build watchgnupg.

	* gpgconf-comp.c (gpg_agent_runtime_change) [W32]: No way yet to
	send a signal.  Disable.
	(change_options_file, change_options_program) [W32]: No link(2),
	so we disable it.
	(gc_component_change_options): Use rename instead of link.

2004-12-13  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c <ignore-ocsp-service-url>: Fixed typo.

2004-11-24  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c <dirmngr>: Add --ignore-http-dp, --ignore-ldap-dp
	and --ignore-ocsp-service-url.

2004-11-23  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c <dirmngr>: Add the proxy options.
	<gpgsm>: Add --prefer-system-daemon.

2004-11-11  Werner Koch  <wk@g10code.com>

	* watchgnupg.c (main): Fixed test for read error.

2004-10-22  Werner Koch  <wk@g10code.com>

	* Makefile.am (bin_SCRIPTS): Add gpgsm-gencert.sh

	* gpgsm-gencert.sh: Fixed copyright; its part of GnuPG thus FSF.

2004-10-01  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c: Made all strings for --log-file read the same.

2004-10-01  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c (my_dgettext): Also switch codeset and directory
	for the other used domains (i.e. dirmngr).

	* gpgconf.c (main): Fixed translation markers.

2004-09-30  Werner Koch  <wk@g10code.com>

	* gpgconf.c (i18n_init): Always use LC_ALL.

	* Makefile.am: Adjusted for gettext 0.14.

2004-09-29  Werner Koch  <wk@g10code.com>

	* gpgconf-comp.c: Made the entries fro GROUPs translatable.
	Include i18n.h.
	(my_dgettext): Hack to use the gnupg2 domain.

2004-08-09  Moritz Schulte  <moritz@g10code.com>

	* gpgsm-gencert.sh: New file.

2004-06-16  Werner Koch  <wk@gnupg.org>

	* rfc822parse.c (rfc822parse_get_field): Add arg VALUEOFF.

2004-06-14  Werner Koch  <wk@gnupg.org>

	* no-libgcrypt.c (gcry_realloc, gcry_xmalloc, gcry_xcalloc): New.

	* gpgconf-comp.c (retrieve_options_from_program)
	(retrieve_options_from_file, change_options_file)
	(change_options_program, gc_component_change_options): Replaced
	getline by read_line and test for allocation failure.

2004-05-21  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (gc_options_dirmngr): Remove CRL group, put its
	only option "max-replies" into LDAP group.
	(gc_component): Change description of dirmngr to "Directory
	Manager".

	* gpgconf-comp.c (gc_component_change_options): Move the
	per-process backup file into a standard location.

2004-05-03  Werner Koch  <wk@gnupg.org>

	* gpgconf-comp.c: Add --allow-mark-trusted for the gpg-agent.

2004-04-30  Werner Koch  <wk@gnupg.org>

	* gpgconf-comp.c: Added more runtime flags for the gpg-agent
	backend.

2004-04-29  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (change_options_program): Turn on utf8-strings in
	the gpgconf specific part of the config file for the GnuPG
	backend.

2004-04-28  Werner Koch  <wk@gnupg.org>

	* gpgconf-comp.c: Add --ocsp-signer for the dirmngr backend.

2004-04-20  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (gc_options_gpg_agent): Change type of
	ignore-cache-for-signing option to GC_ARG_TYPE_NONE.

2004-04-07  Werner Koch  <wk@gnupg.org>

	* gpgconf-comp.c (my_dgettext): Switch the codeset once to utf-8.
	Allow building with out NLS.

2004-03-23  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (gc_options_dirmngr): Set GC_OPT_FLAG_ARG_OPT for
	"LDAP Server".
	(change_options_file): Remove assertion that tests that this flag
	is not present.  Handle an empty string in OPTION->new_value.

	* gpgconf.c (main): Remove obsolete warning.

2004-03-23  Werner Koch  <wk@gnupg.org>

	* gpgconf-comp.c (gc_options_gpg): New.
	(gc_component_t, gc_component): Add GC_BACKEND_GPG.
	(gc_options_dirmngr): Add allow-ocsp.

2004-03-23  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (gc_flag): Add missing flags.

	* gpgconf-comp.c: Include <signal.h>.
	(gc_backend): Add new member runtime_change.
	(gpg_agent_runtime_change): New function.
	(gc_component_change_options): New variable runtime.  Initialize
	it.  If an option is changed that has the GC_OPT_FLAG_RUNTIME bit
	set, also set the corresponding runtime variable.  Finally, call
	the runtime_change callback of the backend if needed.

2004-03-16  Werner Koch  <wk@gnupg.org>

	* gpgconf-comp.c (gc_options_gpg_agent): Implemented.
	(gc_options_gpgsm, gc_options_scdaemon): Implemented.
	(gc_backend_t): Add GC_BACKEND_SCDAEMON.

2004-03-12  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (gc_component_change_options): Set the filenames
	of the option's backend, not of the component.
	Also use GC_BACKEND_NR, not GC_COMPONENT_NR.

2004-03-09  Werner Koch  <wk@gnupg.org>

	* gpgconf-comp.c [_riscos_]: Removed special code for RISC OS; we
	don't want to clutter our code with system dependent stuff.

2004-03-08  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (retrieve_options_from_file): Quote each string
	in the list, not only the first.

2004-02-26  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (gc_component_list_options): Do not print empty
	groups.

	* gpgconf-comp.c (option_check_validity): Check if option is
	active.
	(change_options_file): Implement.

	* gpgconf-comp.c (retrieve_options_from_program): Remove broken
	string handling.

	* gpgconf-comp.c (change_options_program): Support all types of
	options, including list types.

	* README.gpgconf: Fix description of arguments.
	* gpgconf-comp.c (option_check_validity): Rewritten to properly
	support optional arguments in lists.

	* README.gpgconf: Add info about optional arg and arg type 0.
	* gpgconf-comp.c (gc_component_change_options): Parse list of
	arg type 0 options.
	(option_check_validity): Add new argument NEW_VALUE_NR.  Perform
	rigorous validity checks.
	(change_options_program): Disable an option also if we have a new
	value for it.

2004-02-25  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (gc_component_list_options): Correct output for
	lists of arg type none.
	(struct gc_option): Add new member new_flags.
	(option_check_validity): Check OPTION->new_flags beside
	OPTION->new_value.  Add new argument FLAGS.
	(gc_component_change_options): Support default flag correctly.
	(change_options_program): Likewise.

2004-02-24  Marcus Brinkmann  <marcus@g10code.de>

	* README.gpgconf: Revert last change.  Add new flags "default",
	"default desc" and "no arg desc".  Add new field ARGDEF.  Add new
	field FLAG to backend interface.
	* gpgconf-comp.c (struct gc_option): Make flags of type unsigned
	long.
	(gc_component_list_options): Adjust type for flags.
	Add default argument field.
	(retrieve_options_from_program): Use "1" as value for non-option
	arguments, not "Y".
	(gc_component_change_options): Read in flags from input.

2004-02-23  Marcus Brinkmann  <marcus@g10code.de>

	* README.gpgconf: Change meaning of type 0 options value if it is
	the empty string or "0".

	* gpgconf.h (struct): Add member runtime.
	* gpgconf.c: Add new option oRuntime.
	(main): Same here.

	* gpgconf-comp.c (hextobyte): New function.
	(percent_deescape): New function.
	(get_config_pathname): Percent deescape pathname if taken from
	option (default) value.  Use default value only if it exists and
	is not empty.  Use empty string otherwise.  Don't include leading
	quote in pathname.
	(change_options_program): Percent deescape string before writing
	it out.

	* gpgconf-comp.c (gc_component_list_options): Do not skip groups
	on output.

2004-02-18  Werner Koch  <wk@gnupg.org>

	* gpgconf-comp.c: Added empty components for gpgsm and scdaemon.

2004-02-12  Werner Koch  <wk@gnupg.org>

	* watchgnupg.c (main): Implement option "--".
	(print_version): New.

	* Makefile.am: Include cmacros.am for common flags.

2004-02-03  Werner Koch  <wk@gnupg.org>

	* addgnupghome: Try to use getent, so that it also works for NIS
	setups.

2004-01-31  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c: Some bug fixes, parse only defaults from the
	program, and read the current values from the configuration file
	directly.

2004-01-30  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-comp.c (gc_error): New function, use it instead of
	error() throughout.

	* gpgconf-comp.c: Use xmalloc, libcommon's asctimestamp and
	gnupg_get_time, fix error() invocation and use getline()
	consistently.

2004-01-30  Werner Koch  <wk@gnupg.org>

	* addgnupghome: Also set the group of copied files.

2004-01-30  Werner Koch  <wk@gnupg.org>

	* Makefile.am (sbin_SCRIPTS): New, to install addgnupghome.
	(EXTRA_DIST): Added rfc822parse.c rfc822parse.h gpgparsemail.c
	which might be useful for debugging.

2004-01-29  Werner Koch  <wk@gnupg.org>

	* addgnupghome: New.

2004-01-29  Marcus Brinkmann  <marcus@g10code.de>

	* gpgconf-list.c: File removed.
	* README.gpgconf: New file.
	* gpgconf-comp.c: New file.
	* Makefile.am (gpgconf_SOURCES): Remove gpgconf-list.c, add
	gpgconf-comp.c.

2004-01-16  Werner Koch  <wk@gnupg.org>

	* watchgnupg.c (main): Need to use FD_ISSET for the client
	descriptors too; aiiih.  Set the listening socket to non-blocking.

2004-01-10  Werner Koch  <wk@gnupg.org>

	* Makefile.am: Use GPG_ERROR_CFLAGS

2004-01-05  Werner Koch  <wk@gnupg.org>

	* Manifest: New.
	* gpgconf.c, gpgconf.h, gpgconf-list.c: New. A skeleton for now.
	* no-libgcrypt.c: New.
	* Makefile.am: Add above.

2003-12-23  Werner Koch  <wk@gnupg.org>

	* Makefile.am: New.
	* watchgnupg.c: New.


 Copyright 2003, 2004, 2005, 2006, 2007, 2008,
	   2009, 2010, 2011 Free Software Foundation, Inc.

 This file is free software; as a special exception the author gives
 unlimited permission to copy and/or distribute it, with or without
 modifications, as long as this notice is preserved.

 This file is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Local Variables:
buffer-read-only: t
End:
